weka.knowledgeflow.steps

## Class Saver

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.WekaAlgorithmWrapper
    - - weka.knowledgeflow.steps.Saver

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="Saver",
              category="DataSinks",
              toolTipText="Weka saver wrapper",
              iconPath="")
      public class Saver
      extends WekaAlgorithmWrapper
      implements java.io.Serializable

  Step that wraps weka.core.converters.Saver classes
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Saver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCustomEditorForStep()` Return the fully qualified name of a custom editor component (JComponent) to use for editing the properties of the step.
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can receive at this time
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce at this time
    `boolean` | `getRelationNameForFilename()` Get whether the relation name is the primary part of the filename.
    `Saver` | `getSaver()` Get the saver instance that is wrapped by this step.
    `java.lang.Class` | `getWrappedAlgorithmClass()` Get the class of the wrapped algorithm
    `void` | `processIncoming(Data data)` Processes incoming data
    `void` | `setRelationNameForFilename(boolean r)` Set whether to use the relation name as the primary part of the filename.
    `void` | `setSaver(Saver saver)` Set the saver instance that is wrapped by this step.
    `void` | `setWrappedAlgorithm(java.lang.Object algo)` Set the actual wrapped algorithm instance
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.WekaAlgorithmWrapper

      `getDefaultIconPath, getDefaultPackageLevelIconPath, getIconPath, getWrappedAlgorithm, globalInfo`

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Saver

          public Saver()

  - ### Method Detail

    - #### getWrappedAlgorithmClass

          public java.lang.Class getWrappedAlgorithmClass()

      Get the class of the wrapped algorithm
      Specified by:
        `getWrappedAlgorithmClass` in class `WekaAlgorithmWrapper`
      Returns:
        the class of the wrapped algorithm

    - #### setWrappedAlgorithm

          public void setWrappedAlgorithm(java.lang.Object algo)

      Set the actual wrapped algorithm instance
      Overrides:
        `setWrappedAlgorithm` in class `WekaAlgorithmWrapper`
      Parameters:
        `algo` - the wrapped algorithm instance

    - #### getSaver

          public Saver getSaver()

      Get the saver instance that is wrapped by this step. Convenience method that delegates to `getWrappedAlgorithm()`
      Returns:
        the saver instance that is wrapped by this step

    - #### setSaver

          @ProgrammaticProperty
          public void setSaver(Saver saver)

      Set the saver instance that is wrapped by this step. Convenience method that delegates to `setWrappedAlgorithm()`.
      Parameters:
        `saver` - the saver instance that is wrapped by this step

    - #### getRelationNameForFilename

          public boolean getRelationNameForFilename()

      Get whether the relation name is the primary part of the filename.
      Returns:
        true if the relation name is part of the filename.

    - #### setRelationNameForFilename

          public void setRelationNameForFilename(boolean r)

      Set whether to use the relation name as the primary part of the filename. If false, then the prefix becomes the filename.
      Parameters:
        `r` - true if the relation name is to be part of the filename.

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Specified by:
        `stepInit` in interface `BaseStepExtender`
      Specified by:
        `stepInit` in interface `Step`
      Throws:
        `WekaException` - if a problem occurs during initialization

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Processes incoming data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the data process
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can receive at this time
      Specified by:
        `getIncomingConnectionTypes` in interface `BaseStepExtender`
      Specified by:
        `getIncomingConnectionTypes` in interface `Step`
      Returns:
        a list of incoming connection types

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce at this time
      Specified by:
        `getOutgoingConnectionTypes` in interface `BaseStepExtender`
      Specified by:
        `getOutgoingConnectionTypes` in interface `Step`
      Returns:
        a list of outgoing connection types

    - #### getCustomEditorForStep

          public java.lang.String getCustomEditorForStep()

      Return the fully qualified name of a custom editor component (JComponent) to use for editing the properties of the step. This method can return null, in which case the system will dynamically generate an editor using the GenericObjectEditor
      Specified by:
        `getCustomEditorForStep` in interface `Step`
      Overrides:
        `getCustomEditorForStep` in class `BaseStep`
      Returns:
        the fully qualified name of a step editor component